Name: libnftnl
Version: 1.1.1
Release: 6
Summary: Library for low-level interaction with nftables Netlink's API over libmnl
License: GPLv2+
URL: http://netfilter.org/projects/libnftnl/
Source0: http://ftp.netfilter.org/pub/libnftnl/libnftnl-%{version}.tar.bz2

BuildRequires: libmnl-devel jansson-devel gcc

# replace old libnftables package
Provides: libnftables = %{version}-%{release}
Obsoletes: libnftables < 0-0.6

%description
libnftnl is a userspace library providing a low-level netlink programming interface (API)
to the in-kernel nf_tables subsystem.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{_isa} = %{version}-%{release}
# replace old libnftables-devel package
Provides: libnftables-devel = %{version}-%{release}
Obsoletes: libnftables-devel < 0-0.6

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure --disable-static --disable-silent-rules --with-json-parsing
%make_build

%install
%make_install
%delete_la

%check
make %{?_smp_mflags} check

%files
%doc COPYING
%{_libdir}/*.so.*

%files devel
%{_libdir}/libnft*.so
%{_libdir}/pkgconfig/libnftnl.pc
%{_includedir}/libnftnl

%changelog
* Tue Sep 17 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.1-6
- Package init

